
#ifndef STATUS_H
#define STATUS_H

class Status
{
	static int infoNo, sessionsNum, MBwritten;
public:
	Status();
	void addResult(const char *date, const char *time,
		const char *user, int size, const char *result);
	void start();
private:
	void readLastResults();
	static void *runServer(void *arg);
	static void write(FILE *outStream);
	static void writeGerman(FILE *outStream);
};

extern Status status;

#endif

